Skip to main content
POST
/
v1
/
posts
/
threads
Create Threads Post
curl --request POST \
  --url https://api.stover.app/v1/posts/threads \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "content": "<string>",
  "media_urls": [
    "<string>"
  ],
  "reply_control": "everyone",
  "status": "draft",
  "scheduled_date": "2023-11-07T05:31:56Z"
}
'
import requests

url = "https://api.stover.app/v1/posts/threads"

payload = {
    "content": "<string>",
    "media_urls": ["<string>"],
    "reply_control": "everyone",
    "status": "draft",
    "scheduled_date": "2023-11-07T05:31:56Z"
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: JSON.stringify({
    content: '<string>',
    media_urls: ['<string>'],
    reply_control: 'everyone',
    status: 'draft',
    scheduled_date: '2023-11-07T05:31:56Z'
  })
};

fetch('https://api.stover.app/v1/posts/threads', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "success": true,
  "data": {}
}
{
  "error": "<string>",
  "message": "<string>"
}
{
  "error": "<string>",
  "message": "<string>"
}

Request Fields

FieldRequiredDescription
media_typeYestext, image, video, or carousel
content*Post text (max 500 chars)
media_urls*URLs of media (max 10)
reply_controlNoeveryone, accounts_you_follow, or mentioned_only
statusNodraft or scheduled
scheduled_dateNoISO 8601 date
* content required for text type. media_urls required for image, video, carousel types.

Example

curl -X POST https://api.stover.app/v1/posts/threads \
  -H "Authorization: Bearer stover_pk_your_api_key" \
  -H "Content-Type: application/json" \
  -d '{
    "media_type": "text",
    "content": "What is everyone working on today?",
    "reply_control": "everyone",
    "status": "draft"
  }'
const response = await fetch('https://api.stover.app/v1/posts/threads', {
  method: 'POST',
  headers: {
    'Authorization': 'Bearer stover_pk_your_api_key',
    'Content-Type': 'application/json'
  },
  body: JSON.stringify({
    media_type: 'text',
    content: 'What is everyone working on today?',
    reply_control: 'everyone',
    status: 'draft'
  })
});
import requests

response = requests.post(
    'https://api.stover.app/v1/posts/threads',
    headers={
        'Authorization': 'Bearer stover_pk_your_api_key',
        'Content-Type': 'application/json'
    },
    json={
        'media_type': 'text',
        'content': 'What is everyone working on today?',
        'reply_control': 'everyone',
        'status': 'draft'
    }
)

Media Types

TypeContentMedia
textRequiredNot allowed
imageOptionalRequired (1)
videoOptionalRequired (1)
carouselOptionalRequired (2-10)

Authorizations

Authorization
string
header
required

API key: Bearer stover_pk_...

Body

application/json
media_type
enum<string>
required
Available options:
text,
image,
video,
carousel
content
string

Post text (max 500 chars)

media_urls
string[]
reply_control
enum<string>
default:everyone
Available options:
everyone,
accounts_you_follow,
mentioned_only
status
enum<string>
default:draft
Available options:
draft,
scheduled
scheduled_date
string<date-time>

Response

Post created

success
boolean
data
object